Bug 2211827 (CVE-2023-32665)

Summary: CVE-2023-32665 glib: GVariant deserialisation does not match spec for non-normal data
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mcatanza, mdean, rh-spice-bugs, virt-maint, walters
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in GLib. GVariant deserialization is vulnerable to an exponential blowup issue where a crafted GVariant can cause excessive processing, leading to denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2212688, 2212689, 2212690, 2212691, 2212692, 2212693, 2212694, 2212695, 2212696, 2212697    
Bug Blocks: 2160453    

Description Dhananjay Arunesh 2023-06-02 07:13:36 UTC
GLib's GVariant deserialization prior to GLib 2.74.4 is vulnerable to an exponential blowup issue where a crafted GVariant can cause excessive processing, leading to denial of service.

References:
https://gitlab.gnome.org/GNOME/glib/-/issues/2121

Comment 2 Dhananjay Arunesh 2023-06-06 07:20:19 UTC
Created glib tracking bugs for this issue:

Affects: epel-all [bug 2212688]


Created glib2 tracking bugs for this issue:

Affects: fedora-37 [bug 2212690]
Affects: fedora-38 [bug 2212696]
Affects: fedora-all [bug 2212689]


Created mingw-glib2 tracking bugs for this issue:

Affects: fedora-37 [bug 2212693]
Affects: fedora-38 [bug 2212697]

Comment 5 errata-xmlrpc 2023-11-07 08:22:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6631 https://access.redhat.com/errata/RHSA-2023:6631